<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

$event_count = count($obj['data']);

for($x=0; $x<$event_count; $x++){

	// set timezone
	$timezone=isset($obj['data'][$x]['timezone']) ? $obj['data'][$x]['timezone'] : "America/Los_Angeles";
	date_default_timezone_set($timezone);

	$start_date = date( 'M d, Y', strtotime($obj['data'][$x]['start_time']));

	// in my case, I had to subtract 9 hours to sync the time set in facebook
	$start_time = date('g:i a', strtotime($obj['data'][$x]['start_time']));

	$pic_big = isset($obj['data'][$x]['cover']['source'])
				? $obj['data'][$x]['cover']['source']
				: "https://graph.facebook.com/v2.8/{$fb_page_id}/picture/?type=large";
	$eid = $obj['data'][$x]['id'];
	$name = $obj['data'][$x]['name'];

	$description = isset($obj['data'][$x]['description'])
						? htmlspecialchars_decode(str_replace("\n", "<br>", $dsm_facebook_events->auto_link_text($obj['data'][$x]['description'])))
						: "Not available.";

	$ticket_uri = isset($obj['data'][$x]['ticket_uri']) ? $obj['data'][$x]['ticket_uri'] : "";

	$host_id = isset($obj['data'][$x]['owner']['id']) ? $obj['data'][$x]['owner']['id'] : "";
	$host_name = isset($obj['data'][$x]['owner']['name']) ? $obj['data'][$x]['owner']['name'] : "";

	// count attending
	$attending_data=isset($obj['data'][$x]['attending']['data']) ? $obj['data'][$x]['attending']['data'] : "";
	$attending_count = empty($attending_data) ? 0 : count($attending_data);

	// place
	$place_name = isset($obj['data'][$x]['place']['name']) ? $obj['data'][$x]['place']['name'] : "";
	$city = isset($obj['data'][$x]['place']['location']['city']) ? $obj['data'][$x]['place']['location']['city'] : "";
	$country = isset($obj['data'][$x]['place']['location']['country']) ? $obj['data'][$x]['place']['location']['country'] : "";
	$zip = isset($obj['data'][$x]['place']['location']['zip']) ? $obj['data'][$x]['place']['location']['zip'] : "";

	$attending_count = isset($obj['data'][$x]['attending_count']) ? $obj['data'][$x]['attending_count'] : "";

	$location="";

	if($place_name){ $location.="{$place_name}"; }
	if($city){ $location.= $location ? ", {$city}" : "{$city}"; }
	if($country){ $location.= $location ? ", {$country}" : "{$country}"; }
	if($zip){ $location.= $location ? ", {$zip}" : "{$zip}"; }

	if(empty($location)){
		$location="<a href='https://www.facebook.com/events/{$eid}/' target='_blank'>View Location on Facebook</a>";
	}

	$complete_event_add="{$location}";

	$event_fb_link="https://www.facebook.com/events/{$eid}/";

	$event_lati = !empty($obj['data'][$x]['place']['location']['latitude'])
					? $obj['data'][$x]['place']['location']['latitude'] : "";
	$event_longi = !empty($obj['data'][$x]['place']['location']['longitude'])
					? $obj['data'][$x]['place']['location']['longitude'] : "";

	echo "<div class='company-events'>";

		echo "<div class='post-with-image'>";
		    echo "<div class='date-month'>";
		        echo "<a href='#'>";
		            echo "<span class='date'>" . date('d', strtotime($obj['data'][$x]['start_time'])) . "</span>";
		            echo "<span class='month'>" . date('M', strtotime($obj['data'][$x]['start_time'])) . "</span>";
		        echo "</a>";
		    echo "</div>";

		    echo "<div class='post-image'>";
				echo "<div class='photo-thumb' style='background: url({$pic_big}) 50% 50% no-repeat;'></div>";
		    echo "</div>";

			$link="read_one_event.php?id={$eid}";
		    echo "<h2 class='title'>";
				echo "<a data-toggle='modal' href='{$link}' data-target='#events-modal' data-title='{$name}'>";
					echo "{$name}";
				echo "</a>";
			echo "</h2>";

		    echo "<p class='event-place'>";
		        echo "<i class='fa fa-globe'></i><span>{$location}</span>";
		        echo "<i class='fa fa-calendar'></i><span>{$start_date}</span>";
		        echo "<i class='fa fa-clock-o'></i><span>{$start_time}</span>";
		    echo "</p>";

			echo "<p class='tag'>";
				echo "<i class='fa fa-users'></i>{$attending_count} ";
				if($attending_count==1){ echo "Guest"; }
				else if($attending_count>1){ echo "Guests"; }
			echo "</p>";

		    echo "<p class='tag'>";
		        echo "<i class='fa fa-check-square'></i>";
		        echo "Hosted By <a href='https://fb.com/{$host_id}/' target='_blank'>{$host_name}</a>";
		    echo "</p>";

			echo "<div class='margin-top-1em'>";

		    	echo "<a class='post-read-more margin-right-1em' data-toggle='modal' href='{$link}' data-target='#events-modal' data-title='{$name}'>";
					echo "<i class='fa fa-info-circle'></i>Read More";
				echo "</a>";
				if(!empty($ticket_uri)){
					echo "<a class='post-read-more' href='{$ticket_uri}' target='_blank'><i class='fa fa-ticket'></i>Get Tickets</a>";
				}
			echo "</div>";
		echo "</div>";
	echo "</div>";
}
?>
